package com.persagy.account.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description
 * @company persagy
 * @author zhangqiankun
 * @since 2020年11月25日:	下午4:17:36
 */
@Getter
@Setter
@Component
public class ApplicationProperties {

	@Value("${saas.system.default-menu-id}")
	private String defaultMenuId;
	
	@Value("${saas.system.default-product-icon}")
	private String productIcon;
	
	@Value("${saas.rabitmq.enable:false}")
	private boolean raabitmqEnable;
	
	@Value("${saas.rabitmq.common-exchange}")
	private String commonExchange;
	
	@Value("${saas.rabitmq.group-route-key}")
	private String groupRouteKey;
	
	@Value("${saas.rabitmq.account-route-key}")
	private String accountRouteKey;
	
	@Value("${integrated.security.login-fail.enable:true}")
	private boolean enableLoginFail;
	
	@Value("${integrated.security.login-fail.fail-num:5}")
	private Integer loginFailNum;
	
	@Value("${saas.user.token.expire}")
	private String tokenExpire;
	
	@Value("${saas.user.default.password}")
	private String defaultPwd;
	
}
