package com.persagy.sso.constant;

/**
 * @ClassName : baseConstant
 * @Author ：xgq
 * @Date ：Created in 2021/4/13 11:56
 * @Description： TODO
 * @Version : 1.0
 */
public class BaseConstant {


    /**
     * 默认token
     **/
    public static String DEFAULT_TOKEN = "DS865SDFGVX5GN8GE8RDV2B4XB5D8B5";


    /**
     * 数据来源(0:手动创建)
     **/
    public static String RESOURCE_FROM_CREATE = "0";

    /**
     * 数据来源(1:OA创建)
     **/
    public static String RESOURCE_FROM_OA_WD = "1";

    

    /**
     * 账号类型(0:运维系统账号)
     **/
    public static String ACCOUNT_TYPE_SAAS = "0";

    /**
     * 账号类型(1:业务账号)
     **/
    public static String ACCOUNT_TYPE_BUSINESS = "1";


    /**
     * 账号类型(2:普通账号)
     **/
    public static String ACCOUNT_TYPE_NORMAL = "2";


    /**
     * 账号类型(2:普通账号)
     **/
   // public static String ACCOUNT_TYPE_WD = "100";


    /**
     * 部门类型(0:集团)
     **/
    public static String DEPT_TYPE_GROUP = "0";


    /**
     * 部门类型(1:公司)
     **/
    public static String DEPT_TYPE_COMPANY = "1";


    /**
     * 部门类型(2:部门)
     **/
    public static String DEPT_TYPE_DEPT = "2";

    /**
     * 岗位(角色)类型:0-系统角色，1-业务角色, 2-业务超管默认角色,4:万达OA同步角色
     **/
    public static String JOB_ROLE_TYPE = "4";


    /**
     * 万达集团名称
     **/
    public static String GROUP_NAME = "万达集团";

    /**
     * 万达集团编码
     **/
    public static String GROUP_CODE_WD = "WD";

    /**
     * account-source :万达集团：201
     **/
    public static String ACCOUNT_SOURCE_WD = "201";

    /**
     * 公共参数
     **/
    public static String ACCOUNT_ID = "accountId";
    public static String PROJECT_ID = "projectId";
    public static String GROUP_CODE = "groupCode";
    public static String APP_ID = "appId";
    public static String SYSTEM_ID = "systemId";
    public static String ROLE_ID = "roleId";
    public static String ACCOUNT_BELONG = "accountBelong";


    /**
     * 响应参数
     **/
    public static String RESPONSE_CODE = "respCode";
    public static String RESPONSE_MSG = "respMsg";
    public static String RESPONSE_CONTENT = "content";
    public static String RESPONSE_RECORDS = "records";
    public static String RESPONSE_ID = "id";

    /**
     * 应用id
     **/
    public static String APP_ID_PC = "PC";
    public static String APP_ID_APP = "APP";
    public static String APP_ID_BIM = "BIM";



    /**
     * 账号有效期:长久  1
     **/
    public static String VALID_TRUE = "1";

    /**
     * 账号有效期:短期  0
     **/
    public static String VALID_TIME = "0";


    /**
     * casType,关联类型，0-主岗，1-副岗，2-业务超管默认角色
     **/
    public static String CASE_TYPE_MAJOR = "0";
    public static String CASE_TYPE_DUTY = "1";
    public static String CASE_TYPE_ADMIN = "2";


    /**
     * 分隔符号
     **/
    public static String SEPARATE_CODE = ".";
}
