package com.persagy.account.pojo.vo.product;

import com.persagy.account.pojo.vo.BaseGroupVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年5月7日 下午2:07:15
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProjectProductQueryVO extends BaseGroupVO {

	@ApiModelProperty(value = "集团签约ID", example = "GP1001")
	private String contractId; //集团签约ID
	
	@ApiModelProperty(value = "项目ID", example = "PD1001")
	private String projectId; // 项目ID

	@ApiModelProperty(value = "产品ID", example = "PD1001")
	private String productId; // 产品ID
	
	@ApiModelProperty(value = "是否展示项目名称，true-展示，默认false", example = "false")
	private boolean showProjectName = false; // 是否展示项目名称，true-展示，默认false

}
