package com.persagy.sso.controller;

import com.persagy.common.utils.ResponseResult;
import com.persagy.sso.service.ISynUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName : SynWdUserController
 * @Author ：xgq
 * @Date ：Created in 2021/4/11 20:03
 * @Description： TODO
 * @Version : 1.0
 */

@Api(tags = "同步万达主数据信息")
@RestController
@Slf4j
@RequestMapping(value = "/synWd", method = RequestMethod.POST)
public class SynWdUserController {

    @Autowired
    private ISynUserService synUserService;


    /**
     * 同步账号信息
     */
    @ApiOperation(value = "同步万达的主数据信息")
    @RequestMapping(value = "synUserInfo")
    public ResponseResult synUserInfo() throws Exception{
        return synUserService.synUserInfo();
    }


}

